#include<iostream>

using namespace std;

int maks(int i, int a[], int n)
{
    int m = -1;
    for(int u = i; u < n; u++)
    {
        if(a[u] > m)
            m = a[u];
    }
    return m;
}
int naprvoj(int m, int n, int a[], int i)
{
    if(a[i] == m)
        return 1;
    
    return 0;
}
int gdejemaks(int m, int n, int a[])
{
    for(int i = 0; i < n; i++)
    {
        if(a[i] == m)
            return i;
    }
}
void zamena(int a[], int i, int m, int ind, int n)
{
    int pom = gdejemaks(m, n, a);
    int p = a[i];
    a[i] = a[pom];
    a[pom] = p;
}
void ispisi(int a[], int n)
{
    for(int i = 0; i < n; i++)
    {
        cout << a[i] << " ";
    }
}
int main()
{
    int n, ind, m, napr;
    cin >> n;
    int a[n];
    
    for(int i = 0; i < n; i++)
        cin >> a[i];
    if(n == 2)
    {
        int pom = a[0];
        a[0] = a[1];
        a[1] = pom;
        ispisi(a, n);
        return 0;
    }
        
    for(int i = 0; i < n ; i++)
    {
        m = maks(i, a, n);
        napr = naprvoj(m, n, a, i);
        if(napr == 0)
        { 
            ind = gdejemaks(m, n, a);
            zamena(a, i, m, ind, n);
            ispisi(a, n);
            return 0;
        }
    }
    
    ispisi(a, n);
    
    return 0;
}